@charset "UTF-8";

/*!
Theme Name: Cocoon Child
Description: Cocoon専用の子テーマ
Theme URI: https://wp-cocoon.com/
Author: わいひら
Author URI: https://nelog.jp/
Template:   cocoon-master
Version:    1.1.3
*/

/************************************
** 子テーマ用のスタイルを書く
************************************/
/*必要ならばここにコードを書く*/

/*検索BOX*/
#main .search-box.input-box {
  display: none;
}
#content-top .search-box {
  width: 60%;
  margin: 0 auto;
}
#search-4 {
	margin-bottom: 1.0em;
}

.search-box {
  display: flex;
  align-items: center;
  position: relative;
  width: 100%;
  max-width: 750px;
  margin: 10px auto;
}

.search-box input {
  width: 100%;
  border: none;
  background-color: #ffffff;
  color: #333333;
  font-size: 15px;
  padding: 15px 20px;
  border-radius: 20px;
  outline: none;
  transition: background-color 0.3s ease;
}

.search-box input:focus {
  background-color: #f5e0e0;
}

.search-box button {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 65px;
  height: 100%;
  border: none;
  background-color: #8c2f2f;
  color: #ffffff;
  cursor: pointer;
  position: absolute;
  right: 0;
  top: 0;
  border-radius: 0 20px 20px 0;
  transition: background-color 0.3s ease;
}

.search-box button:hover {
  background-color: #7a2626;
}


/************************************
** ページ送り
************************************/
.pagination-next {
	margin-top: 35px;
}
.pagination-next-link {
	width: 80%;
	margin: 0 auto;
  background-color: #49add1; 
  color: #fff; 
  border: none; 
	border-radius: 30px;
}
.pagination-next-link:hover { 
  background-color: #68caee;
  color: #fff;
}
.page-numbers { 
  color: #49add1;
	line-height: 46px;
  border: 1px solid #49add1;
}
.pagination .current {
  background-color: #49add1;
  color: #fff;
}
.page-numbers.dots { 
  opacity: 1;
  background: none;
}
.pagination a:hover { 
  background-color: #49add1;
  color: #fff;
}
.go-to-top {
	right: 15%;
}
#custom_post_navigation_widget-2 {
 margin-bottom: 0px;
}
.post-navigation {
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 20px 0 15px;
  width: 100%; 
}

.previous-post, .next-post {
  flex-shrink: 0; 
  width: 33.3%; 
}

.home-link {
  flex-grow: 1;
  text-align: center; 
}

.post-navigation a {
  background-color: #008C8E;
  border: 1px solid #ddd;
  height: 45px;
  border-radius: 5px;
  text-decoration: none;
  color: #fff;
  font-size: .8rem;
  font-weight: 300;
  display: flex;
  justify-content: center;
  align-items: center;
}

.post-navigation a:hover {
  background-color: #00ABAE;
  border-color: #00ABAE;
}

.previous-post {
  margin-right: 10px; 
}

.next-post {
  margin-left: 10px; 
}
/* タイトルを省略するスタイル */
.post-navigation a span.post-title {
  white-space: nowrap;      
  overflow: hidden;         
  text-overflow: ellipsis;   
  max-width: 70%;            
  display: inline-block;    
}
@media screen and (max-width: 480px){
	.post-navigation a span.post-title {
  		display: none;
	}
}
/************************************
** モバイル記事
************************************/
@media (max-width: 768px) {
  .pagination-next {
    margin-top: 24px;
  }
}
/* モバイル向けの調整 */
@media only screen and (max-width: 768px) {
  #search-4 {
	margin-bottom: 1.0em;
  }
}
/************************************
** レスポンシブデザイン用のメディアクエリ
************************************/
/*1023px以下*/
@media screen and (max-width: 1023px){
  /*必要ならばここにコードを書く*/
}

/*834px以下*/
@media screen and (max-width: 834px){
  /*必要ならばここにコードを書く*/
}

/*480px以下*/
@media screen and (max-width: 480px){
  /*必要ならばここにコードを書く*/
}
